Bug 1262573 - "dnf -q -d 0 install XYZ" is not quiet, it prints "Package XYZ... is already installed, skipping."
"dnf -q -d 0 install XYZ" is not quiet, it prints "Package XYZ... is already ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
25
Unspecified Linux
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: EasyFix, Reopened, Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-12 19:54 EDT by Edgar Hoch
Modified: 2016-12-02 10:32 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-02 10:32:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edgar Hoch 2015-09-12 19:54:32 EDT
Description of problem:
dnf with -q option should output nothing.
But when trying to install an already installed package,
dnf prints an error message that the package is already installed.

Option "-q" does not supress the message,
option "-d 0" does not supress the message, too.

Option "-e 1" or "-e 0" supresses the message,
but option "-e" is marked as depredicated in the manpage:

       -e <error level>, --errorlevel=<error level>
              Error output level. This is an integer value between 0 (no error output) and 10 (shows all error messages), default is 2. Deprecated, use -v instead.

I haven't found an option other than "-e" to suppress this (warning) message (it is not really an error, because the package is installed as it was intended).

I think that either there should be a replacement for "-e" that works as expected, e.g. -q should print no messages, or "-e" should not marked as depredicated.


Version-Release number of selected component (if applicable):
dnf-1.1.1-2.fc22.noarch

How reproducible:
Always.

Steps to Reproduce:
1. LANG=C dnf -q -d 0 install bash
2. LANG=C dnf -q -d 0 -e 1 install bash

Actual results:
1. Output: "Package bash-4.3.42-1.fc22.x86_64 is already installed, skipping."
2. No output.

Expected results:
1. No output of the command.
2. No output of the command.
   Option "-e" is marked as depredicated and should not be neccessary.
Comment 1 Edgar Hoch 2015-09-12 19:57:19 EDT
The same message appears for already installed groups:

LANG=C dnf -q -d 0 install @development-libs
Group 'Development Libraries' is already installed, skipping.
Comment 2 Michal Luscon 2015-09-16 07:15:38 EDT
We will check -q behaviour of other system tools and provide a compatible solution.
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:27:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-07-19 16:13:53 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Edgar Hoch 2016-07-19 16:18:14 EDT
This problem still exist in Fedora 24.

dnf-1.1.9-2.fc24.noarch
Comment 6 Jan Kurik 2016-07-26 01:02:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 7 Jaroslav Mracek 2016-12-02 10:32:58 EST
The problem was fixed in dnf-2.0

[test@dhcp-0-213 dnf]$ rpm -q dnf
dnf-2.0.0_0.rc1.1-70gd03a46f.fc25.noarch
[test@dhcp-0-213 dnf]$ sudo dnf install libreoffice-calc
Last metadata expiration check: 0:19:03 ago on Fri Dec 02 16:11:56 2016 CET.
Package libreoffice-calc-1:5.2.3.3-9.fc25.x86_64 is already installed, skipping.
Dependencies resolved.
===================================================================================================================================================================================================================
 Package                                                         Arch                                      Version                                                Repository                                  Size
===================================================================================================================================================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 libreoffice-calc                                                x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    8.7 M
 libreoffice-core                                                x86_64                                    1:5.2.3.3-10.fc25                                      updates                                     70 M
 libreoffice-data                                                noarch                                    1:5.2.3.3-10.fc25                                      updates                                    3.4 M
 libreoffice-draw                                                x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    693 k
 libreoffice-emailmerge                                          x86_64                                    1:5.2.3.3-10.fc25                                      updates                                     88 k
 libreoffice-filters                                             x86_64                                    1:5.2.3.3-10.fc25                                      updates                                     74 k
 libreoffice-graphicfilter                                       x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    453 k
 libreoffice-gtk2                                                x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    299 k
 libreoffice-gtk3                                                x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    303 k
 libreoffice-impress                                             x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    1.3 M
 libreoffice-langpack-en                                         x86_64                                    1:5.2.3.3-10.fc25                                      updates                                     74 k
 libreoffice-math                                                x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    1.0 M
 libreoffice-ogltrans                                            x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    156 k
 libreoffice-opensymbol-fonts                                    noarch                                    1:5.2.3.3-10.fc25                                      updates                                    247 k
 libreoffice-pdfimport                                           x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    285 k
 libreoffice-pyuno                                               x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    538 k
 libreoffice-ure                                                 x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    2.1 M
 libreoffice-ure-common                                          noarch                                    1:5.2.3.3-10.fc25                                      updates                                    512 k
 libreoffice-writer                                              x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    4.2 M
 libreoffice-x11                                                 x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    294 k
 libreoffice-xsltfilter                                          x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    416 k
 libreofficekit                                                  x86_64                                    1:5.2.3.3-10.fc25                                      updates                                    135 k

Transaction Summary
===================================================================================================================================================================================================================
Skip  22 Packages

Nothing to do.
Complete!
[test@dhcp-0-213 dnf]$ sudo dnf install libreoffice-calc -q
[test@dhcp-0-213 dnf]$

Note You need to log in before you can comment on or make changes to this bug.